dates
Prev | Orchestra Opcodes and Operators | Next

## dates

dates — Returns as a string the date and time specified.

## Description

Returns as a string the date and time specified.

## Syntax

    Sir dates [ itime]

## Initialization

itime -- the time is seconds since teh start of the epoch. If omited or negative the current time is taken.

Sir -- the date and time as a sting.

## Examples

Here is an example of the dates opcode. It uses the file date.csd.

Example 96. Example of the dates opcode.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o date.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>
    instr 1
          ii date
          print ii
          Sa dates ii
          prints Sa
          Ss dates -1
          prints Ss
          St dates 1
          prints St
    endin

    </CsInstruments>
    <CsScore>
    i 1 0 1
    e
    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    instr 1:  ii = 1165665152.000
    Sat Dec  9 11:52:32 2006
    Sat Dec  9 11:51:46 2006
    Thu Jan  1 01:00:01 1970

## See Also

date

## Credits

Author: John ffitch
University of Bath/Codemist Ltd.
Bath, UK
December 2006

New in Csound version 5.05

Prev | Up | Next
date | Home | db